=== debian/changelog ===
ros-melodic-face-detector (1.2.0-1stretch) stretch; urgency=high

  * Whitespace cleanu (#73 <https://github.com/wg-perception/people/issues/73>)
  * Remove and move unused includes (#70 <https://github.com/wg-perception/people/issues/70>)
  * Contributors: David V. Lu!!, Shane Loretz

 -- Dan Lazewatsky <dan@lazewatsky.com>  Mon, 19 Aug 2019 00:00:00 -0000

ros-melodic-face-detector (1.0.9-1stretch) stretch; urgency=high

  * Install missing param directory: face_detector.rgbd.launch fails due to the param folder.
  * Contributors: Isaac I.Y. Saito

 -- Dan Lazewatsky <dan@lazewatsky.com>  Tue, 01 Sep 2015 00:00:00 -0000

ros-melodic-face-detector (1.0.8-1stretch) stretch; urgency=high

  * cleanup formatting with astyle (supersedes #18 <https://github.com/wg-perception/people/issues/18>)
  * centrally reference cascade from standalone opencv (addresses #15 <https://github.com/wg-perception/people/issues/15>)
  * Contributors: Dan Lazewatsky

 -- Dan Lazewatsky <dan@lazewatsky.com>  Wed, 10 Dec 2014 00:00:00 -0000

ros-melodic-face-detector (1.0.3-1stretch) stretch; urgency=high

  * fix message generation
  * Contributors: Dan Lazewatsky

 -- Dan Lazewatsky <dan@lazewatsky.com>  Sat, 01 Mar 2014 00:00:00 -0000

ros-melodic-face-detector (1.0.2-1stretch) stretch; urgency=high

  * update to properly generate messages
  * Contributors: Dan Lazewatsky

 -- Dan Lazewatsky <dan@lazewatsky.com>  Fri, 28 Feb 2014 00:00:00 -0000

ros-melodic-face-detector (1.0.1-1stretch) stretch; urgency=high

  * update some remappings to deal with the changed openni message api
  * convert 16FC1 depth images to 32FC1 and scale to get meters
  * switch constants to defines to get rid of linker issues for catkin switch
  * catkinizing
  * Contributors: Dan Lazewatsky

 -- Dan Lazewatsky <dan@lazewatsky.com>  Thu, 27 Feb 2014 00:00:00 -0000
